{
  "$schema": "https://json.schemastore.org/eslintrc",
  "root": true,
  "extends": [
    "next/core-web-vitals",
    "prettier",
    "plugin:tailwindcss/recommended"
  ],
  "plugins": [
    "tailwindcss"
  ],
  "rules": {
    "imports/no-unused-imports": "off",
    "unused-imports/no-unused-imports": "off",
    "react/no-unescaped-entities": "off",
    "@next/next/no-page-custom-font": "off",
    "simple-import-sort/imports": "off",
    "simple-import-sort/exports": "off",
    "@typescript-eslint/explicit-function-return-type": "off",
    "prettier/prettier": "off",
    "tailwindcss/classnames-order": "off",
    "tailwindcss/no-custom-classname": "off"
  },
  "settings": {
    "tailwindcss": {
      "callees": [
        "cn",
        "cva"
      ],
      "config": "tailwind.config.js"
    }
  },
  "overrides": [
    {
      "files": [
        "*.ts",
        "*.tsx"
      ],
      "parser": "@typescript-eslint/parser"
    }
  ]
}